<?php
/**
 * Vérificateur de syntaxe d'un fichier de définition de tags.
 * Usage : php.exe validate-tags-file.php5 <fichier XML de tags>
 */

$doc = new DOMDocument();
$doc->load($argv[1]);
if ($doc->schemaValidate("tags-schema.xsd"))
	echo "OK" . PHP_EOL;
else
	echo "ERREUR!" . PHP_EOL;

/*
 * Copyright (c) 2012, Humpf
 *
 * This file is part of plxTextReplace.
 * plxTextReplace is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * plxTextReplace is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with plxTextReplace.  If not, see <http://www.gnu.org/licenses/>.
 */

?>